#pragma once
#include "outfit.h"
#include "physics.h"

typedef enum { WEAPON_LAYER_BG, WEAPON_LAYER_FG } WeaponLayer;

void weapon_add(const Outfit* outfit, const double dir, const Vec2* pos,
                const Vec2* vel, unsigned int parent,
                const unsigned int target);

/* Update. */
void weapons_update(const double dt);
void weapons_render(const WeaponLayer layer);

/* Clean. */
void weapon_clear(void);
void weapon_exit(void);

